export declare class CustomLine {
    index: number;
    lineNumber: number;
    specialHeight: number;
    prefixSum: number;
    maximumSpecialHeight: number;
    decorationId: string;
    deleted: boolean;
    constructor(decorationId: string, index: number, lineNumber: number, specialHeight: number, prefixSum: number);
}
export declare class LineHeightsManager {
    private _decorationIDToCustomLine;
    private _orderedCustomLines;
    private _pendingSpecialLinesToInsert;
    private _invalidIndex;
    private _defaultLineHeight;
    private _hasPending;
    constructor(defaultLineHeight: number, customLineHeightData: ICustomLineHeightData[]);
    set defaultLineHeight(defaultLineHeight: number);
    get defaultLineHeight(): number;
    removeCustomLineHeight(decorationID: string): void;
    insertOrChangeCustomLineHeight(decorationId: string, startLineNumber: number, endLineNumber: number, lineHeight: number): void;
    heightForLineNumber(lineNumber: number): number;
    getAccumulatedLineHeightsIncludingLineNumber(lineNumber: number): number;
    onLinesDeleted(fromLineNumber: number, toLineNumber: number): void;
    onLinesInserted(fromLineNumber: number, toLineNumber: number): void;
    commit(): void;
    private _binarySearchOverOrderedCustomLinesArray;
}
export interface ICustomLineHeightData {
    readonly decorationId: string;
    readonly startLineNumber: number;
    readonly endLineNumber: number;
    readonly lineHeight: number;
}
